package net.javacomm.protocol;

import static org.junit.jupiter.api.Assertions.assertEquals;
import org.junit.jupiter.api.BeforeEach;
import org.junit.jupiter.api.Test;



public class TestLifetime {

  @BeforeEach
  public void setUp() {

  }



  @Test
  public void permanent() {
    Lifetime result = Lifetime.toLifetime(1);
    assertEquals(Lifetime.PERMANENT, result);
  }



  @Test
  public void temporary() {
    Lifetime result = Lifetime.toLifetime(2);
    assertEquals(Lifetime.TEMPORARY, result);
  }

}
